<?php require $_SERVER['DOCUMENT_ROOT'].'/hethong/config.php';

$username = strip_tags($_POST['username']);
$id_code = strip_tags($_POST['id_code']);
$check_code = $ketnoi->query("SELECT * FROM `khocode` WHERE `id` = '$id_code' ");
$user = $ketnoi->query("SELECT * FROM `users` WHERE `username` = '$username' ")->fetch_array();
$code = $ketnoi->query("SELECT * FROM `khocode` WHERE `id` = '$id_code' ")->fetch_array();
if (!$check_code) {
  $response = array('success' => false, 'message' => 'Code không tồn tại');
} elseif($user['money']< $code['gia']) {
  $response = array('success' => false, 'message' => 'Số dư trong tài khoản không đủ, vui lòng nạp thêm');
  } else {
    $now = time(); 
    $magd = random('ABCDEFGHIJKLMNOPQRSTUVWXYZ',3).rand(1000000000, 9999999999);
    $sql = $ketnoi->query("INSERT INTO `lich_su_mua_code` SET 
        `trans_id` = '$magd',
        `username` = '$username',
        `loaicode` = '".$code['id']."',
        `status` = 'thanhcong',
        `time` = '".$now."' ");
sendTele($username." Đã Mua ".$code['title']." Thành Công Với Giá ".$code['gia']."đ");
        
        $guitoi = $user['email'];   
        $subject = 'Bạn đã mua mã nguồn'.$code['title'].' thành công';
        $bcc = 'Mua Code Thành Công';
        $hoten ='SERVER';
        $noi_dung = '<p>Kính chào quý khách hàng <b>'.$user['username'].'</b>,</p>
        <p>Bạn đã mua mã nguồn <b>'.$code['title'].'</b> thành công.</p>
        <p>Bạn có thể tải code <a href="https://'.$_SERVER['SERVER_NAME'].'/history-ma-nguon" target="_blank">tại đây</a>.</p>
        <p>Cảm ơn quý khách đã sử dụng dịch vụ của chúng tôi. Cảm ơn!</p>
        <p>Website: <b><a href="https://'.$_SERVER['SERVER_NAME'].'/" target="_blank">'.$_SERVER['SERVER_NAME'].'</a></b></p>';
       $api = sendCSM($guitoi, $hoten, $subject, $noi_dung, $bcc);
        if ($sql) {
          $newmoney = $user['money']-$code['gia'];
          $check_mo = $ketnoi->query("UPDATE `khocode` SET `buy` =  `buy`+ 1 WHERE `id` = '".$code['id']."' ");
          $check_money = $ketnoi->query("UPDATE `users` SET `money` = '$newmoney' WHERE `username` = '".$username."' ");
          if($check_money){
          $response = array('success' => true);
          }
      }
}
// Trả về kết quả dưới dạng JSON
echo json_encode($response);

?>